MacDrawParserInternal::Shape Struct Reference documentation

MacDrawParserInternal::Shape Struct Reference

## Public Types
enum | Type { Basic , Bitmap , Group , GroupEnd , Text , Unknown }
| the different shape More...

## Public Member Functions
| Shape ()
| constructor
MWAWBox2f | getBdBox () const
| return the shape bdbox

## Public Attributes
Type | m_type
| the graphic type
MWAWBox2f | m_box
| the shape bdbox
MWAWGraphicStyle | m_style
| the graphic style
MWAWGraphicShape | m_shape
| the graphic shape ( for basic geometric form )
int | m_id
| the shape id
int | m_nextId
| the following id (if set)
MWAWFont | m_font
| the font ( for a text box)
MWAWParagraph | m_paragraph
| the paragraph ( for a text box)
MWAWEntry | m_textEntry
| the textbox entry (main text)
std::vector< size_t > | m_childList
| the child list ( for a group )
int | m_numBytesByRow
| the number of bytes by row (for a bitmap)
MWAWBox2i | m_bitmapDim
| the bitmap dimension (in page)
MWAWBox2i | m_bitmapFileDim
| the bitmap dimension (in the file)
MWAWEntry | m_bitmapEntry
| the bitmap entry (data)
bool | m_isSent
| a flag used to know if the object is sent to the listener or not

## Member Enumeration Documentation

## ◆ Type

enum MacDrawParserInternal::Shape::Type

the different shape

Enumerator
Basic |
Bitmap |
Group |
GroupEnd |
Text |
Unknown |

## Constructor & Destructor Documentation

## ◆ Shape()

MacDrawParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBdBox()

MWAWBox2f MacDrawParserInternal::Shape::getBdBox | ( |  | ) | const
| inline

return the shape bdbox

Referenced by MacDrawParser::send().

## Member Data Documentation

## ◆ m_bitmapDim

MWAWBox2i MacDrawParserInternal::Shape::m_bitmapDim

the bitmap dimension (in page)

Referenced by MacDrawParser::sendBitmap(), and Shape().

## ◆ m_bitmapEntry

MWAWEntry MacDrawParserInternal::Shape::m_bitmapEntry

the bitmap entry (data)

Referenced by MacDrawParser::sendBitmap(), and Shape().

## ◆ m_bitmapFileDim

MWAWBox2i MacDrawParserInternal::Shape::m_bitmapFileDim

the bitmap dimension (in the file)

Referenced by MacDrawParser::sendBitmap(), and Shape().

## ◆ m_box

MWAWBox2f MacDrawParserInternal::Shape::m_box

the shape bdbox

Referenced by getBdBox(), and Shape().

## ◆ m_childList

std::vector<size_t> MacDrawParserInternal::Shape::m_childList

the child list ( for a group )

Referenced by MacDrawParser::send(), and Shape().

## ◆ m_font

MWAWFont MacDrawParserInternal::Shape::m_font

the font ( for a text box)

Referenced by MacDrawParser::sendText(), and Shape().

## ◆ m_id

int MacDrawParserInternal::Shape::m_id

the shape id

Referenced by MacDrawParser::send(), and Shape().

## ◆ m_isSent

bool MacDrawParserInternal::Shape::m_isSent
| mutable

a flag used to know if the object is sent to the listener or not

Referenced by MacDrawParser::parse(), MacDrawParser::send(), MacDrawParser::sendText(), and Shape().

## ◆ m_nextId

int MacDrawParserInternal::Shape::m_nextId

the following id (if set)

Referenced by MacDrawParser::parse(), and Shape().

## ◆ m_numBytesByRow

int MacDrawParserInternal::Shape::m_numBytesByRow

the number of bytes by row (for a bitmap)

Referenced by MacDrawParser::sendBitmap(), and Shape().

## ◆ m_paragraph

MWAWParagraph MacDrawParserInternal::Shape::m_paragraph

the paragraph ( for a text box)

Referenced by MacDrawParser::sendText(), and Shape().

## ◆ m_shape

MWAWGraphicShape MacDrawParserInternal::Shape::m_shape

the graphic shape ( for basic geometric form )

Referenced by getBdBox(), MacDrawParser::send(), and Shape().

## ◆ m_style

MWAWGraphicStyle MacDrawParserInternal::Shape::m_style

the graphic style

Referenced by MacDrawParser::send(), and Shape().

## ◆ m_textEntry

MWAWEntry MacDrawParserInternal::Shape::m_textEntry

the textbox entry (main text)

Referenced by MacDrawParser::sendText(), and Shape().

## ◆ m_type

Type MacDrawParserInternal::Shape::m_type

the graphic type

Referenced by getBdBox(), MacDrawParser::send(), MacDrawParser::sendBitmap(), and Shape().

The documentation for this struct was generated from the following file:

- MacDrawParser.cxx